Index: trunk/SophyaLib/NTools/Makefile
===================================================================
--- trunk/SophyaLib/NTools/Makefile	(revision 3074)
+++ trunk/SophyaLib/NTools/Makefile	(revision 3075)
@@ -11,17 +11,16 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)cimage.o: cimage.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h cimage.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
+$(SOPHYAOBJP)cimage.o: cimage.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  cimage.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -33,5 +32,4 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tvector_tsnl.h \
@@ -41,36 +39,36 @@
 $(SOPHYAOBJP)cspline.o: cspline.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nbtri.h cspline.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h
+  $(SOPHYAINCP)machdefs.h nbtri.h \
+  cspline.h \
+  $(SOPHYAINCP)pexceptions.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cspline.cc
  
 $(SOPHYAOBJP)datatypes.o: datatypes.cc \
-  $(SOPHYAINCP)sopnamsp.h datatypes.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  datatypes.h \
   $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datatypes.cc
  
-$(SOPHYAOBJP)dates.o: dates.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)dates.o: dates.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h dates.h \
-  $(SOPHYAINCP)pexceptions.h
+  dates.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  dates.cc
  
-$(SOPHYAOBJP)difeq.o: difeq.cc $(SOPHYAINCP)sopnamsp.h \
-  difeq.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
+$(SOPHYAOBJP)difeq.o: difeq.cc \
+  $(SOPHYAINCP)sopnamsp.h difeq.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -85,9 +83,9 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  difeq.cc
  
-$(SOPHYAOBJP)dynccd.o: dynccd.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h fmath.h perandom.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)dynccd.o: dynccd.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fmath.h \
+  perandom.h $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -111,164 +109,151 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h nbrandom.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)srandgen.h cimage.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)fioarr.h dynccd.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)ppersist.h
+  $(SOPHYAINCP)fioarr.h dynccd.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  dynccd.cc
  
 $(SOPHYAOBJP)fct1dfit.o: fct1dfit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h fct1dfit.h \
-  generalfit.h $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)machdefs.h \
+  fct1dfit.h generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
-  $(SOPHYAINCP)anydataobj.h nbconst.h \
-  tabmath.h
+  nbconst.h tabmath.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fct1dfit.cc
  
 $(SOPHYAOBJP)fct2dfit.o: fct2dfit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h fct2dfit.h \
-  generalfit.h $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)machdefs.h \
+  fct2dfit.h generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
-  $(SOPHYAINCP)anydataobj.h nbconst.h \
-  tabmath.h simps2d.h
+  nbconst.h tabmath.h simps2d.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fct2dfit.cc
  
 $(SOPHYAOBJP)fftmserver.o: fftmserver.cc \
-  $(SOPHYAINCP)sopnamsp.h fftmserver.h \
-  fftservintf.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tvector_tsnl.h fftmayer.h
+  $(SOPHYAINCP)sopnamsp.h \
+  fftmserver.h fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  fftmayer.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fftmserver.cc
  
 $(SOPHYAOBJP)fftpserver.o: fftpserver.cc \
-  $(SOPHYAINCP)sopnamsp.h fftpserver.h \
-  fftservintf.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tvector_tsnl.h fftpackc.h
+  $(SOPHYAINCP)sopnamsp.h \
+  fftpserver.h fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  fftpackc.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fftpserver.cc
  
 $(SOPHYAOBJP)fftservintf.o: fftservintf.cc \
-  $(SOPHYAINCP)sopnamsp.h fftservintf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tvector_tsnl.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fftservintf.cc
  
 $(SOPHYAOBJP)FSAppIrrSmpl.o: FSAppIrrSmpl.cc \
-  $(SOPHYAINCP)sopnamsp.h FSAppIrrSmpl.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  FSAppIrrSmpl.h \
   $(SOPHYAINCP)machdefs.h nbmath.h \
   $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)array.h \
@@ -294,9 +279,6 @@
   $(SOPHYAINCP)matharr.h \
   $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)sopemtx.h fftservintf.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tvector.h fftpserver.h \
-  toeplitzMatrix.h
+  $(SOPHYAINCP)sopemtx.h \
+  fftservintf.h fftpserver.h toeplitzMatrix.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  FSAppIrrSmpl.cc
  
@@ -305,25 +287,22 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h functab.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)tarray.h
+  functab.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  functab.cc
  
@@ -332,96 +311,87 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)strutil.h nbtri.h \
-  generalfit.h $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
+  generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  generaldata.cc
+ 
+$(SOPHYAOBJP)generalfit.o: generalfit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  generalfit.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
-  $(SOPHYAINCP)anydataobj.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  generaldata.cc
- 
-$(SOPHYAOBJP)generalfit.o: generalfit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h fmath.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)sopemtx.h \
-  $(SOPHYAINCP)tvector.h
+  $(SOPHYAINCP)sopemtx.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  generalfit.cc
  
-$(SOPHYAOBJP)integ.o: integ.cc $(SOPHYAINCP)sopnamsp.h \
-  integ.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h classfunc.h \
-  generalfit.h $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h fmath.h \
-  $(SOPHYAINCP)anydataobj.h
+$(SOPHYAOBJP)integ.o: integ.cc \
+  $(SOPHYAINCP)sopnamsp.h integ.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  classfunc.h generalfit.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  integ.cc
  
@@ -431,66 +401,59 @@
 $(SOPHYAOBJP)ntoolsinit.o: ntoolsinit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h ntoolsinit.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h poly.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h generaldata.h \
+  $(SOPHYAINCP)sophyainit.h poly.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  generaldata.h \
   $(SOPHYAINCP)ntupintf.h cimage.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tvector.h tabmath.h nbconst.h \
-  dates.h datime.h
+  $(SOPHYAINCP)fioarr.h tabmath.h \
+  nbconst.h dates.h datime.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntoolsinit.cc
  
 $(SOPHYAOBJP)objfitter.o: objfitter.cc \
-  $(SOPHYAINCP)sopnamsp.h objfitter.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h cimage.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  objfitter.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  cimage.h $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)peida.h \
@@ -499,11 +462,8 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)hisprof.h generalfit.h \
-  $(SOPHYAINCP)pexceptions.h generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)anydataobj.h
+  $(SOPHYAINCP)hisprof.h \
+  generalfit.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  objfitter.cc
  
@@ -512,10 +472,8 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h perandom.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
+  perandom.h $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -536,110 +494,100 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h nbrandom.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)srandgen.h pemath.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  perandom.cc
  
-$(SOPHYAOBJP)poly.o: poly.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)poly.o: poly.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h poly.h \
   $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h peida.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  linfit.h $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)fioarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  poly.cc
+ 
+$(SOPHYAOBJP)rk4cdifeq.o: rk4cdifeq.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  rk4cdifeq.h difeq.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ctimer.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rk4cdifeq.cc
+ 
+$(SOPHYAOBJP)simplesort.o: simplesort.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  simplesort.h peida.h \
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h linfit.h \
-  $(SOPHYAINCP)sopemtx.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)fioarr.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  poly.cc
- 
-$(SOPHYAOBJP)rk4cdifeq.o: rk4cdifeq.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h rk4cdifeq.h \
-  difeq.h $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ctimer.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rk4cdifeq.cc
- 
-$(SOPHYAOBJP)simplesort.o: simplesort.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h simplesort.h \
-  peida.h $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)pexceptions.h fmath.h
+  $(SOPHYAINCP)pexceptions.h \
+  fmath.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  simplesort.cc
  
 $(SOPHYAOBJP)simplex.o: simplex.cc \
-  $(SOPHYAINCP)sopnamsp.h simplex.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h generalfit.h \
-  $(SOPHYAINCP)pexceptions.h generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  simplex.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  generalfit.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
-  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  simplex.cc
@@ -647,18 +595,17 @@
 $(SOPHYAOBJP)tabmath.o: tabmath.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h tabmath.h peida.h \
+  $(SOPHYAINCP)machdefs.h \
+  tabmath.h peida.h \
   $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)pexceptions.h fmath.h \
-  nbconst.h
+  fmath.h nbconst.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tabmath.cc
  
 $(SOPHYAOBJP)toeplitzMatrix.o: toeplitzMatrix.cc \
-  $(SOPHYAINCP)sopnamsp.h toeplitzMatrix.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  toeplitzMatrix.h \
   $(SOPHYAINCP)machdefs.h nbmath.h \
   $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)array.h \
@@ -684,20 +631,22 @@
   $(SOPHYAINCP)matharr.h \
   $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)sopemtx.h fftservintf.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tvector.h fftpserver.h
+  $(SOPHYAINCP)sopemtx.h \
+  fftservintf.h fftpserver.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  toeplitzMatrix.cc
  
-$(SOPHYAOBJP)datime.o: datime.c $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)strutil.h nbconst.h datime.h
+$(SOPHYAOBJP)datime.o: datime.c \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)strutil.h nbconst.h \
+  datime.h
 	$(CCOMPILE) -o $@  datime.c
  
 $(SOPHYAOBJP)fftmayer_r4.o: fftmayer_r4.c fftmayer.h \
-  $(SOPHYAINCP)machdefs.h trigtbl.h
+  $(SOPHYAINCP)machdefs.h \
+  trigtbl.h
 	$(CCOMPILE) -o $@  fftmayer_r4.c
  
 $(SOPHYAOBJP)fftmayer_r8.o: fftmayer_r8.c fftmayer.h \
-  $(SOPHYAINCP)machdefs.h trigtbl.h
+  $(SOPHYAINCP)machdefs.h \
+  trigtbl.h
 	$(CCOMPILE) -o $@  fftmayer_r8.c
  
@@ -708,13 +657,11 @@
 $(SOPHYAOBJP)matxop.o: matxop.c matxop.h nbmath.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)smathconst.h
+	$(CCOMPILE) -o $@  matxop.c
+ 
+$(SOPHYAOBJP)nbmath.o: nbmath.c nbmath.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h
-	$(CCOMPILE) -o $@  matxop.c
- 
-$(SOPHYAOBJP)nbmath.o: nbmath.c nbmath.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h matxop.h nbinteg.h \
-  nbtri.h
+  matxop.h nbinteg.h nbtri.h
 	$(CCOMPILE) -o $@  nbmath.c
  
Index: trunk/SophyaLib/NTools/perandom.cc
===================================================================
--- trunk/SophyaLib/NTools/perandom.cc	(revision 3074)
+++ trunk/SophyaLib/NTools/perandom.cc	(revision 3075)
@@ -6,25 +6,24 @@
 #include <iostream>
 
+
 ////////////////////////////////////////////////////////////////////////////
-//++
-// Class	FunRan
-// Lib  Outils++ 
-// include	perandom.h
-//
-//	Tirage aleatoire sur un histogramme 1D.
-//--
-
-//++
+/*!
+  \class SOPHYA::FunRan
+  \ingroup NTools
+  Classe for generating random variables from 1D function
+*/
+
+
+/********* Methode *********/
+/*! Createur. f is a probability density function (PDF).
+ Le tirage aleatoire est fait sur un histogramme
+ Histo(xMin,xMax,nBin) (voir convention dans Histo).
+ Chaque bin de l'histogramme contient la valeur de la PDF
+ au centre du bin.
+ Les valeurs retournees sont les valeurs du centre des bins.
+ Si binw est la largeur du bin, les valeurs retournees
+ vont de xmin+binw/2 a xmax-binw/2.
+*/
 FunRan::FunRan(FunRan::Func f, r_8 xMin, r_8 xMax, int_4 nBin)
-//
-//	Createur. f is a probability density function (PDF).
-// Le tirage aleatoire est fait sur un histogramme
-// Histo(xMin,xMax,nBin) (voir convention dans Histo).
-// Chaque bin de l'histogramme contient la valeur de la PDF
-// au centre du bin.
-// Les valeurs retournees sont les valeurs du centre des bins.
-// Si binw est la largeur du bin, les valeurs retournees
-// vont de xmin+binw/2 a xmax-binw/2.
-//--
 : Histo(xMin,xMax,nBin)
 {
@@ -42,11 +41,10 @@
 }
 
-//++
+/********* Methode *********/
+/*! Createur. tab is a probability density function.
+The return random values will be between 0 and nBin-1.
+See FunRan::FunRan(FunRan::Func...) for further comments.
+*/
 FunRan::FunRan(r_8 *tab, int_4 nBin)
-//
-//	Createur. tab is a probability density function
-// The return random values will be between 0 and nBin-1
-// See FunRan::FunRan(FunRan::Func...) for further comments.
-//--
 : Histo(-0.5,nBin-0.5,nBin)
 {
@@ -63,12 +61,11 @@
 }
 
-//++
+/********* Methode *********/
+/*! Createur. tab is a probability density function
+The content of tab is identified has the content of
+an Histogram define by Histo(xMin,xMax,nBin).
+See FunRan::FunRan(FunRan::Func...) for further comments.
+*/
 FunRan::FunRan(r_8 *tab, int_4 nBin, r_8 xMin, r_8 xMax)
-//
-//	Createur. tab is a probability density function
-// The content of tab is identified has the content of
-// an Histogram define by Histo(xMin,xMax,nBin).
-// See FunRan::FunRan(FunRan::Func...) for further comments.
-//--
 : Histo(xMin,xMax,nBin)
 {
@@ -85,10 +82,10 @@
 }
 
-//++
-//	Createur.
-// If pdf=true, h is a probability density fonction.
-// If pdf=false, h is a distribution function (not necessarly normalized to 1).
-// See FunRan::FunRan(FunRan::Func...) for further comments.
-//--
+/********* Methode *********/
+/*! Createur.
+If pdf=true, h is a probability density fonction.
+If pdf=false, h is a distribution function (not necessarly normalized to 1).
+See FunRan::FunRan(FunRan::Func...) for further comments.
+*/
 FunRan::FunRan(Histo &h, bool pdf)
 : Histo(h)
@@ -107,11 +104,10 @@
 }
 
-//++
+/********* Methode *********/
+/*! Tirage avec retour du numero de bin entre 0 et mBins-1.
+It returns the first bin whose content is greater or equal
+to the random uniform number (in [0,1])
+*/
 int_4 FunRan::BinRandom()
-//
-//	Tirage avec retour du numero de bin entre 0 et mBins-1.
-// It returns the first bin whose content is greater or equal
-// to the random uniform number (in [0,1])
-//--
 {
  // recherche du premier bin plus grand ou egal a z
@@ -121,9 +117,7 @@
 }
 
-//++
+/********* Methode *********/
+/*! Tirage avec retour abscisse du bin non interpole. */
 r_8 FunRan::Random()
-//
-//	Tirage avec retour abscisse du bin non interpole.
-//--
 {
  r_8 z=drand01();
@@ -138,17 +132,13 @@
 
 ////////////////////////////////////////////////////////////////////////////
-//++
-// Class	FunRan2D
-// Lib  Outils++ 
-// include	perandom.h
-//
-//	Tirage aleatoire sur un histogramme 2D.
-//--
-
-//++
+/*!
+  \class SOPHYA::FunRan2D
+  \ingroup NTools
+  Classe for generating random variables from 2D function
+*/
+
+/********* Methode *********/
+/*! Creator for random from a table */
 FunRan2D::FunRan2D(r_8 *tab, int_4 nBinX, int_4 nBinY)
-//
-//	Createur.
-//--
 {
   // Tirage en X, somme sur les Y.
@@ -171,9 +161,7 @@
 }
 
-//++
+/********* Methode *********/
+/*! Creator for random from a table */
 FunRan2D::FunRan2D(r_8 **tab, int_4 nBinX, int_4 nBinY)
-//
-//	Createur.
-//--
 {
   // Tirage en X, somme sur les Y.
@@ -198,4 +186,6 @@
 }
 
+/********* Methode *********/
+/*! Destructor */
 FunRan2D::~FunRan2D()
 {
@@ -208,9 +198,7 @@
 }
 
-//++
+/********* Methode *********/
+/*! Tirage avec retour du numeros de bin. */
 void FunRan2D::BinRandom(int_4& x, int_4& y)
-//
-//	Tirage avec retour du numeros de bin.
-//--
 {
   x = ranX->BinRandom();
@@ -218,10 +206,7 @@
 }
 
-//++
+/********* Methode *********/
+/*! Tirage avec retour abscisse et ordonnee du bin interpole. */
 void FunRan2D::Random(r_8& x, r_8& y)
-//
-//	Tirage avec retour abscisse et ordonnee
-//	du bin interpole.
-//--
 {
   x = ranX->Random();
@@ -229,2 +214,28 @@
   y = ranY[i]->Random();
 }
+
+
+
+/////////////////////////////////////////////////////////////////
+/*
+--- Remarque sur complex< r_8 > ComplexGaussRan(double sig)
+x = r cos(t) tire gaussien: pdf f(x) = 1/(sqrt(2Pi) Sx) exp(-(x-Mx)^2/(2 Sx^2))
+y = r sin(t) tire gaussien: pdf f(y) = 1/(sqrt(2Pi) Sy) exp(-(y-My)^2/(2 Sy^2))
+x,y independants --> pdf f(x,y) = f(x) f(y)
+- On cherche la pdf g(r,t) du module et de la phase
+  (r=sqrt(x^2+y^2,t=atan2(y,x)) --> (x,y): le Jacobien = r
+  g(r,t) = r f(x,y) = r f(x) f(y)
+         = r/(2Pi Sx Sy) exp(-(x-Mx)^2/(2 Sx^2)) exp(-(y-My)^2/(2 Sy^2))
+- Le cas general est complique
+  (cf D.Pelat cours DEA "bruits et signaux" section 4.5)
+- Cas ou "Mx = My = 0" et "Sx = Sy = S"
+  g(r,t) = r/(2Pi S^2) exp(-r^2/(2 S^2))
+  La distribution de "r" est donc:
+    g(r) = Integrate[g(r,t),{t,0,2Pi}]
+         = r/S^2 exp(-r^2/(2 S^2))
+  La distribution de "t" est donc:
+    g(t) = Integrate[g(r,t),{r,0,Infinity}]
+         = 1 / 2Pi  (distribution uniforme sur [0,2Pi[)
+  Les variables aleatoires r,t sont independantes:
+    g(r,t) = g(r) g(t) 
+*/
Index: trunk/SophyaLib/NTools/perandom.h
===================================================================
--- trunk/SophyaLib/NTools/perandom.h	(revision 3074)
+++ trunk/SophyaLib/NTools/perandom.h	(revision 3075)
@@ -10,5 +10,6 @@
 #include <stdlib.h>
 #include "histos.h"
-#include "nbrandom.h"
+#include "srandgen.h"
+#include <complex>
 
 namespace SOPHYA {  
@@ -41,4 +42,8 @@
 };
 
+//!  Returns a random gaussian complex number  with variance sig^2
+inline complex< r_8 > ComplexGaussRan(double sig=1.)
+  {return complex< r_8 >(GauRnd(0.,sig),GauRnd(0.,sig));}
+
 } // namespace SOPHYA
 
Index: trunk/SophyaLib/NTools/smakefile
===================================================================
--- trunk/SophyaLib/NTools/smakefile	(revision 3074)
+++ trunk/SophyaLib/NTools/smakefile	(revision 3075)
@@ -11,17 +11,16 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)cimage.o: cimage.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h cimage.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
+$(SOPHYAOBJP)cimage.o: cimage.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  cimage.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -33,5 +32,4 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tvector_tsnl.h \
@@ -41,36 +39,36 @@
 $(SOPHYAOBJP)cspline.o: cspline.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nbtri.h cspline.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h
+  $(SOPHYAINCP)machdefs.h nbtri.h \
+  cspline.h \
+  $(SOPHYAINCP)pexceptions.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cspline.cc
  
 $(SOPHYAOBJP)datatypes.o: datatypes.cc \
-  $(SOPHYAINCP)sopnamsp.h datatypes.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  datatypes.h \
   $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datatypes.cc
  
-$(SOPHYAOBJP)dates.o: dates.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)dates.o: dates.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h dates.h \
-  $(SOPHYAINCP)pexceptions.h
+  dates.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  dates.cc
  
-$(SOPHYAOBJP)difeq.o: difeq.cc $(SOPHYAINCP)sopnamsp.h \
-  difeq.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
+$(SOPHYAOBJP)difeq.o: difeq.cc \
+  $(SOPHYAINCP)sopnamsp.h difeq.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -85,9 +83,9 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  difeq.cc
  
-$(SOPHYAOBJP)dynccd.o: dynccd.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h fmath.h perandom.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)dynccd.o: dynccd.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fmath.h \
+  perandom.h $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -111,164 +109,151 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h nbrandom.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)srandgen.h cimage.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)fioarr.h dynccd.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)ppersist.h
+  $(SOPHYAINCP)fioarr.h dynccd.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  dynccd.cc
  
 $(SOPHYAOBJP)fct1dfit.o: fct1dfit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h fct1dfit.h \
-  generalfit.h $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)machdefs.h \
+  fct1dfit.h generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
-  $(SOPHYAINCP)anydataobj.h nbconst.h \
-  tabmath.h
+  nbconst.h tabmath.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fct1dfit.cc
  
 $(SOPHYAOBJP)fct2dfit.o: fct2dfit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h fct2dfit.h \
-  generalfit.h $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)machdefs.h \
+  fct2dfit.h generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
-  $(SOPHYAINCP)anydataobj.h nbconst.h \
-  tabmath.h simps2d.h
+  nbconst.h tabmath.h simps2d.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fct2dfit.cc
  
 $(SOPHYAOBJP)fftmserver.o: fftmserver.cc \
-  $(SOPHYAINCP)sopnamsp.h fftmserver.h \
-  fftservintf.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tvector_tsnl.h fftmayer.h
+  $(SOPHYAINCP)sopnamsp.h \
+  fftmserver.h fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  fftmayer.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fftmserver.cc
  
 $(SOPHYAOBJP)fftpserver.o: fftpserver.cc \
-  $(SOPHYAINCP)sopnamsp.h fftpserver.h \
-  fftservintf.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tvector_tsnl.h fftpackc.h
+  $(SOPHYAINCP)sopnamsp.h \
+  fftpserver.h fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  fftpackc.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fftpserver.cc
  
 $(SOPHYAOBJP)fftservintf.o: fftservintf.cc \
-  $(SOPHYAINCP)sopnamsp.h fftservintf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tvector_tsnl.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fftservintf.cc
  
 $(SOPHYAOBJP)FSAppIrrSmpl.o: FSAppIrrSmpl.cc \
-  $(SOPHYAINCP)sopnamsp.h FSAppIrrSmpl.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  FSAppIrrSmpl.h \
   $(SOPHYAINCP)machdefs.h nbmath.h \
   $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)array.h \
@@ -294,9 +279,6 @@
   $(SOPHYAINCP)matharr.h \
   $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)sopemtx.h fftservintf.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tvector.h fftpserver.h \
-  toeplitzMatrix.h
+  $(SOPHYAINCP)sopemtx.h \
+  fftservintf.h fftpserver.h toeplitzMatrix.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  FSAppIrrSmpl.cc
  
@@ -305,25 +287,22 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h functab.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)tarray.h
+  functab.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  functab.cc
  
@@ -332,96 +311,87 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)strutil.h nbtri.h \
-  generalfit.h $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
+  generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  generaldata.cc
+ 
+$(SOPHYAOBJP)generalfit.o: generalfit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  generalfit.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
-  $(SOPHYAINCP)anydataobj.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  generaldata.cc
- 
-$(SOPHYAOBJP)generalfit.o: generalfit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h fmath.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)sopemtx.h \
-  $(SOPHYAINCP)tvector.h
+  $(SOPHYAINCP)sopemtx.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  generalfit.cc
  
-$(SOPHYAOBJP)integ.o: integ.cc $(SOPHYAINCP)sopnamsp.h \
-  integ.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h classfunc.h \
-  generalfit.h $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h fmath.h \
-  $(SOPHYAINCP)anydataobj.h
+$(SOPHYAOBJP)integ.o: integ.cc \
+  $(SOPHYAINCP)sopnamsp.h integ.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  classfunc.h generalfit.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  integ.cc
  
@@ -431,66 +401,59 @@
 $(SOPHYAOBJP)ntoolsinit.o: ntoolsinit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h ntoolsinit.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h poly.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h generaldata.h \
+  $(SOPHYAINCP)sophyainit.h poly.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  generaldata.h \
   $(SOPHYAINCP)ntupintf.h cimage.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tvector.h tabmath.h nbconst.h \
-  dates.h datime.h
+  $(SOPHYAINCP)fioarr.h tabmath.h \
+  nbconst.h dates.h datime.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntoolsinit.cc
  
 $(SOPHYAOBJP)objfitter.o: objfitter.cc \
-  $(SOPHYAINCP)sopnamsp.h objfitter.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h cimage.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  objfitter.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  cimage.h $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)peida.h \
@@ -499,11 +462,8 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)hisprof.h generalfit.h \
-  $(SOPHYAINCP)pexceptions.h generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)anydataobj.h
+  $(SOPHYAINCP)hisprof.h \
+  generalfit.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  objfitter.cc
  
@@ -512,10 +472,8 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h perandom.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
+  perandom.h $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -536,110 +494,100 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h nbrandom.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)srandgen.h pemath.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  perandom.cc
  
-$(SOPHYAOBJP)poly.o: poly.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)poly.o: poly.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h poly.h \
   $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h peida.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  linfit.h $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)fioarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  poly.cc
+ 
+$(SOPHYAOBJP)rk4cdifeq.o: rk4cdifeq.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  rk4cdifeq.h difeq.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ctimer.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rk4cdifeq.cc
+ 
+$(SOPHYAOBJP)simplesort.o: simplesort.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  simplesort.h peida.h \
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h linfit.h \
-  $(SOPHYAINCP)sopemtx.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)fioarr.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  poly.cc
- 
-$(SOPHYAOBJP)rk4cdifeq.o: rk4cdifeq.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h rk4cdifeq.h \
-  difeq.h $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ctimer.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rk4cdifeq.cc
- 
-$(SOPHYAOBJP)simplesort.o: simplesort.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h simplesort.h \
-  peida.h $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)pexceptions.h fmath.h
+  $(SOPHYAINCP)pexceptions.h \
+  fmath.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  simplesort.cc
  
 $(SOPHYAOBJP)simplex.o: simplex.cc \
-  $(SOPHYAINCP)sopnamsp.h simplex.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h generalfit.h \
-  $(SOPHYAINCP)pexceptions.h generaldata.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  simplex.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  generalfit.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
-  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  simplex.cc
@@ -647,18 +595,17 @@
 $(SOPHYAOBJP)tabmath.o: tabmath.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h tabmath.h peida.h \
+  $(SOPHYAINCP)machdefs.h \
+  tabmath.h peida.h \
   $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)pexceptions.h fmath.h \
-  nbconst.h
+  fmath.h nbconst.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tabmath.cc
  
 $(SOPHYAOBJP)toeplitzMatrix.o: toeplitzMatrix.cc \
-  $(SOPHYAINCP)sopnamsp.h toeplitzMatrix.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  toeplitzMatrix.h \
   $(SOPHYAINCP)machdefs.h nbmath.h \
   $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)array.h \
@@ -684,20 +631,22 @@
   $(SOPHYAINCP)matharr.h \
   $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)sopemtx.h fftservintf.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tvector.h fftpserver.h
+  $(SOPHYAINCP)sopemtx.h \
+  fftservintf.h fftpserver.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  toeplitzMatrix.cc
  
-$(SOPHYAOBJP)datime.o: datime.c $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)strutil.h nbconst.h datime.h
+$(SOPHYAOBJP)datime.o: datime.c \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)strutil.h nbconst.h \
+  datime.h
 	$(CCOMPILE) -o $@  datime.c
  
 $(SOPHYAOBJP)fftmayer_r4.o: fftmayer_r4.c fftmayer.h \
-  $(SOPHYAINCP)machdefs.h trigtbl.h
+  $(SOPHYAINCP)machdefs.h \
+  trigtbl.h
 	$(CCOMPILE) -o $@  fftmayer_r4.c
  
 $(SOPHYAOBJP)fftmayer_r8.o: fftmayer_r8.c fftmayer.h \
-  $(SOPHYAINCP)machdefs.h trigtbl.h
+  $(SOPHYAINCP)machdefs.h \
+  trigtbl.h
 	$(CCOMPILE) -o $@  fftmayer_r8.c
  
@@ -708,13 +657,11 @@
 $(SOPHYAOBJP)matxop.o: matxop.c matxop.h nbmath.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)smathconst.h
+	$(CCOMPILE) -o $@  matxop.c
+ 
+$(SOPHYAOBJP)nbmath.o: nbmath.c nbmath.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h
-	$(CCOMPILE) -o $@  matxop.c
- 
-$(SOPHYAOBJP)nbmath.o: nbmath.c nbmath.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h matxop.h nbinteg.h \
-  nbtri.h
+  matxop.h nbinteg.h nbtri.h
 	$(CCOMPILE) -o $@  nbmath.c
  
